Option Strict Off
Option Explicit On

Imports fatd_faturamento.BLL.Repositorio
Imports fatd_faturamento.ENTIDADE

Friend Class frmCadastroSetoresUsuarios
	Inherits System.Windows.Forms.Form
	Dim vResp As Short
	Dim vNew As Boolean

#Region "Propriedades"

	Private Sub frmCadSetoresUsuarios_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load

		Try
			lClear()
		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtDescricao_Enter(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles txtDescricao.Enter

		Try

			With Me.txtDescricao
				.SelectionStart = 0
				.SelectionLength = Len(.Text)
			End With

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtDescricao_Leave(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles txtDescricao.Leave

		Try

			With Me.txtDescricao
				.Text = UCase(.Text)
			End With

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtIdSetoresDet_Enter(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles txtIdSetoresDet.Enter

		Try


			With Me.txtIdSetoresDet
				.Text = Replace(.Text, ".", "")
				.SelectionStart = 0
				.SelectionLength = Len(.Text)
			End With

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtIdSetoresDet_Leave(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles txtIdSetoresDet.Leave


		Try

			With Me.txtIdSetoresDet
				If IsNumeric(.Text) Then
					SetaCodigo("setores_det", CInt(.Text))
					.Text = IIf(Len(.Text) = 0, 0, .Text)
				Else
					Me.txtDsSetoresDet.Text = String.Empty
				End If
			End With

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtIdSetoresDet_KeyPress(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.KeyPressEventArgs) Handles txtIdSetoresDet.KeyPress

		Dim KeyAscii As Short = Asc(eventArgs.KeyChar)

		Try

			If KeyAscii = System.Windows.Forms.Keys.Return Then
				TabEnter(KeyAscii, eventArgs)
			ElseIf KeyAscii <> System.Windows.Forms.Keys.Back And (KeyAscii < System.Windows.Forms.Keys.D0 Or KeyAscii > System.Windows.Forms.Keys.D9) Then
				KeyAscii = 0
			End If
			eventArgs.KeyChar = Chr(KeyAscii)
			If KeyAscii = 0 Then
				eventArgs.Handled = True
			End If

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtIdUsuarios_Enter(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles txtIdUsuarios.Enter


		Try

			With Me.txtIdSetoresDet
				.Text = Replace(.Text, ".", "")
				.SelectionStart = 0
				.SelectionLength = Len(.Text)
			End With

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtIdUsuarios_Leave(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles txtIdUsuarios.Leave

		Try

			With Me.txtIdUsuarios
				If IsNumeric(.Text) Then
					SetaCodigo("usuarios", CInt(.Text))
					.Text = IIf(Len(.Text) = 0, 0, .Text)
				Else
					Me.txtDsUsuarios.Text = String.Empty
				End If
			End With

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtIdUsuarios_KeyPress(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.KeyPressEventArgs) Handles txtIdUsuarios.KeyPress

		Dim KeyAscii As Short = Asc(eventArgs.KeyChar)

		Try

			If KeyAscii = System.Windows.Forms.Keys.Return Then
				TabEnter(KeyAscii, eventArgs)
			ElseIf KeyAscii <> System.Windows.Forms.Keys.Back And (KeyAscii < System.Windows.Forms.Keys.D0 Or KeyAscii > System.Windows.Forms.Keys.D9) Then
				KeyAscii = 0
			End If

			eventArgs.KeyChar = Chr(KeyAscii)

			If KeyAscii = 0 Then
				eventArgs.Handled = True
			End If

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub txtIdSetoresGru_Leave(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles txtIdSetoresGru.Leave

		Try


			With Me.txtIdSetoresGru
				If IsNumeric(.Text) Then
					SetaCodigo("setores_gru", CInt(.Text))
					.Text = IIf(Len(.Text) = 0, 0, .Text)
				Else
					Me.txtDsSetoresGru.Text = String.Empty
				End If
			End With

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub cmdLocalizar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdLocalizar.Click

		Try

		frmLocalizadorGeral.SetParametros("setores_usu", "Setores usuários", Me, "ORDER BY  `idsetores_det` ASC,`idusuarios_set` ASC, `id` ASC ")
		frmLocalizadorGeral.Show()
		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub cmdLocalizarUsuarios_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdLocalizarUsuarios.Click

		Try

		frmLocalizadorGeral.SetParametros("usuarios", "usuarios", Me)
		frmLocalizadorGeral.Show()
		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub cmdLocalizarSetoresDet_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdLocalizarSetoresDet.Click

		Try

		frmLocalizadorGeral.SetParametros("setores_det", "Grupos de setores", Me, "ORDER BY `idsetores_gru` ASC, `id` ASC ")
		frmLocalizadorGeral.Show()
		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub cmdFechar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdFechar.Click

		Try

			lClose()

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub cmdExcluir_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdExcluir.Click

		Dim objSetoresUsu As New entidadeSetoresUsu


		Try

			If Trim(Me.txtId.Text) <> "0" Then

				vResp = MessageBox.Show("Esta operação não possui retorno!" & vbCrLf & vbCrLf & "Tem certeza de que deseja excluir este registro?", "Confirmação de Exclusão", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question)

				If vResp = DialogResult.Yes Then

					objSetoresUsu.ID = Convert.ToInt32(txtId.Text)

					If Not lDelete(objSetoresUsu) Then

						MessageBox.Show("Setor Usuário não pode ser excluído!", "Confirmação de Exclusão", MessageBoxButtons.OK, MessageBoxIcon.Information)

						vResp = MessageBox.Show("Esta operação não possui retorno!" & vbCrLf & vbCrLf & "Tem certeza de que deseja desativar este registro?", "Confirmação de Exclusão", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question)

						If vResp = DialogResult.Yes Then

							If Not lUpdate_1(objSetoresUsu) Then
								MessageBox.Show("Setor Usuário não pode ser alterado!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
								Exit Sub
							Else
								MessageBox.Show("Setor Usuário alterado com sucesso!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
								SetaCodigo("setores_usu", CInt(Me.txtId.Text))
							End If

						ElseIf vResp = DialogResult.Cancel Then
							Exit Sub
						End If

					Else
						MessageBox.Show("Setor Usuário excluído com sucesso!", "Confirmação de Exclusão", MessageBoxButtons.OK, MessageBoxIcon.Information)
						frmCadSetoresUsuarios_Load(Me, New System.EventArgs())
					End If

				ElseIf vResp = DialogResult.Cancel Then
					Exit Sub
				End If

			End If

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub cmdSalvar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdSalvar.Click

		Dim objSetoresUsu As New entidadeSetoresUsu
		Dim repositorioSetoresUsu As New repositorioSetoresUsu

		Dim vlist

		Try

			If vNew = True Then

				If Me.txtId.Text = "0" Then

					If lInsert() Then

						MessageBox.Show("Setor Usuário criada com sucesso!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)

						vlist = repositorioSetoresUsu.SelectMax(objSetoresUsu)

						For Each objSetoresUsuFor As entidadeSetoresUsu In vlist
							Me.txtId.Text = CStr(CInt(IIf(IsDBNull(objSetoresUsuFor.ID), 0, objSetoresUsuFor.ID)))
						Next

						SetaCodigo("setores_usu", CInt(Me.txtId.Text))

					Else
						MessageBox.Show("Setor Usuário não pode ser criada!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
						Exit Sub
					End If

				End If

			Else

				If Me.txtId.Text <> "0" Then

					If lUpdate() Then

						MessageBox.Show("Setor Usuário atualizada com sucesso!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)

						vlist = repositorioSetoresUsu.SelectMax(objSetoresUsu)

						For Each objSetoresUsuFor As entidadeSetoresUsu In vlist
							Me.txtId.Text = CStr(CInt(IIf(IsDBNull(objSetoresUsuFor.ID), 0, objSetoresUsuFor.ID)))
						Next

						SetaCodigo("setores_usu", CInt(Me.txtId.Text))

					Else
						MessageBox.Show("Setor Usuário não pode ser atualizada!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
						Exit Sub
					End If

				End If

			End If


		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub cmdNovo_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdNovo.Click

		Try

			lNew()

		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub frmCadSetoresUsuarios_FormClosed(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed

		Try
			If Not vfrmOld Is Nothing Then
				vfrmOld.Enabled = True
			End If
		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub

	Private Sub frmCadSetoresUsuarios_KeyPress(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.KeyPressEventArgs) Handles MyBase.KeyPress

		Dim KeyAscii As Short = Asc(eventArgs.KeyChar)

		Try

			If KeyAscii = System.Windows.Forms.Keys.Escape Then
				Call cmdFechar_Click(cmdFechar, New System.EventArgs())
			ElseIf KeyAscii = System.Windows.Forms.Keys.Return Then
				TabEnter(KeyAscii, eventArgs)
			End If

			eventArgs.KeyChar = Chr(KeyAscii)

			If KeyAscii = 0 Then
				eventArgs.Handled = True
			End If


		Catch ex As Exception
			MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
			Exit Sub
		End Try

	End Sub


#End Region

#Region "Métodos"


	Private Sub lNew()

		Try

			vNew = True

			lClear()

		Catch ex As Exception
			Exit Sub
		End Try

	End Sub

	Private Sub lClear()

		Try

			Me.txtId.Text = "0"
			Me.txtIdUsuarios.Text = String.Empty
			Me.txtDsUsuarios.Text = String.Empty
			Me.txtDescricao.Text = String.Empty
			Me.txtIdSetoresDet.Text = String.Empty
			Me.txtDsSetoresDet.Text = String.Empty
			Me.txtIdSetoresGru.Text = String.Empty
			Me.txtDsSetoresGru.Text = String.Empty
			Me.lblSituacao.Text = String.Empty

		Catch ex As Exception
			Exit Sub
		End Try

	End Sub

	Private Sub lClose()

		Try

			Close()

		Catch ex As Exception
			Exit Sub
		End Try

	End Sub

	Public Sub SetaParametros(ByRef frmOld As System.Windows.Forms.Form)

		Try

			vfrmOld = frmOld
			vfrmOld.Enabled = False

		Catch ex As Exception
			Exit Sub
		End Try

	End Sub

	Public Sub SetaCodigo(ByVal astrTabela As String, ByVal alngId_A As Integer, Optional ByVal alngId_B As Integer = 0, Optional ByVal alngId_C As Integer = 0, Optional ByVal alngId_D As Integer = 0)

		Dim vlist

		Dim objSetoresUsu As New entidadeSetoresUsu
		Dim repositorioSetoresUsu As New repositorioSetoresUsu

		Dim objSetoresDet As New entidadeSetoresDet
		Dim repositorioSetoresDet As New repositorioSetoresDet

		Dim objUsuario As New entidadeUsuario
		Dim repositorioUsuario As New repositorioUsuario

		Dim objSetoresGru As New entidadeSetoresGru
		Dim repositorioSetoresGru As New repositorioSetoresGru

		Try


			If astrTabela.ToUpper() = "SETORES_USU" Then

				objSetoresUsu.ID = alngId_A

				vlist = repositorioSetoresUsu.Select(objSetoresUsu)

				If vlist.Count > 0 Then

					For Each objSetoresUsuFor As entidadeSetoresUsu In vlist

						Me.txtId.Text = Convert.ToInt64(IIf(IsDBNull(objSetoresUsuFor.ID), 0, objSetoresUsuFor.ID))
						Me.txtIdSetoresDet.Text = Convert.ToInt64(IIf(IsDBNull(objSetoresUsuFor.IDSETORES_DET), 0, objSetoresUsuFor.IDSETORES_DET))
						Me.txtIdUsuarios.Text = Convert.ToInt64(IIf(IsDBNull(objSetoresUsuFor.IDUSUARIOS_SET), 0, objSetoresUsuFor.IDUSUARIOS_SET))
						Me.txtDescricao.Text = Trim(IIf(IsDBNull(objSetoresUsuFor.DESCRICAO), "", objSetoresUsuFor.DESCRICAO))
						Me.lblSituacao.Text = "Situação: " & Trim(IIf(IsDBNull(objSetoresUsuFor.SITUACAO), "Ativo", objSetoresUsuFor.SITUACAO)) & "  -  último acesso: " & BuscaNomeUsuario(CInt(IIf(IsDBNull(objSetoresUsuFor.IDUSUARIOS), 0, objSetoresUsuFor.IDUSUARIOS)))
						vNew = False
						txtIdSetoresDet_Leave(txtIdSetoresDet, New System.EventArgs())
						txtIdUsuarios_Leave(txtIdUsuarios, New System.EventArgs())
						Me.txtDescricao.Focus()

					Next

				Else
					MessageBox.Show("Não foi possível encontrar o registro!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
				End If

			ElseIf astrTabela.ToUpper() = "SETORES_DET" Then

				objSetoresDet.ID = alngId_A

				vlist = repositorioSetoresDet.Select(objSetoresDet)

				If vlist.Count > 0 Then

					For Each objSetoresDetFor As entidadeSetoresDet In vlist

						Me.txtIdSetoresDet.Text = Convert.ToInt64(IIf(IsDBNull(objSetoresDetFor.ID), 0, objSetoresDetFor.ID))
						Me.txtIdSetoresGru.Text = Convert.ToInt64(IIf(IsDBNull(objSetoresDetFor.IDSETORES_GRU), 0, objSetoresDetFor.IDSETORES_GRU))
						Me.txtDsSetoresDet.Text = Trim(IIf(IsDBNull(objSetoresDetFor.DESCRICAO), "", objSetoresDetFor.DESCRICAO))
						txtIdSetoresGru_Leave(txtIdSetoresGru, New System.EventArgs())

					Next

				Else
					MessageBox.Show("Não foi possível encontrar o registro!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
				End If

			ElseIf astrTabela.ToUpper() = "USUARIOS" Then

				objUsuario.ID = alngId_A

				vlist = repositorioUsuario.Select_1(objUsuario)

				If vlist.Count > 0 Then

					For Each objUsuarioFor As entidadeUsuario In vlist

						Me.txtIdUsuarios.Text = Convert.ToInt64(IIf(IsDBNull(objUsuarioFor.ID), 0, objUsuarioFor.ID))
						Me.txtDsUsuarios.Text = Trim(IIf(IsDBNull(objUsuarioFor.NOME), "", objUsuarioFor.NOME))

					Next

				Else
					MessageBox.Show("Não foi possível encontrar o registro!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
				End If

			ElseIf astrTabela.ToUpper() = "SETORES_GRU" Then

				objSetoresGru.ID = alngId_A

				vlist = repositorioSetoresGru.Select(objSetoresGru)

				If vlist.Count > 0 Then

					For Each objSetoresGruFor As entidadeSetoresGru In vlist

						Me.txtIdSetoresGru.Text = Convert.ToInt64(IIf(IsDBNull(objSetoresGruFor.ID), 0, objSetoresGruFor.ID))
						Me.txtDsSetoresGru.Text = Trim(IIf(IsDBNull(objSetoresGruFor.DESCRICAO), "", objSetoresGruFor.DESCRICAO))

					Next

				Else
					MessageBox.Show("Não foi possível encontrar o registro!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
				End If

			End If

		Catch ex As Exception
			Exit Sub
		End Try

	End Sub

	Private Function lInsert() As Boolean

		Dim objSetoresUsu As New entidadeSetoresUsu
		Dim repositorioSetoresUsu As New repositorioSetoresUsu

		Try

			objSetoresUsu.IDSETORES_DET = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((txtIdSetoresDet.Text)), "0", txtIdSetoresDet.Text)))
			objSetoresUsu.IDUSUARIOS_SET = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((txtIdUsuarios.Text)), "0", txtIdUsuarios.Text)))
			objSetoresUsu.DESCRICAO = Trim(IIf(String.IsNullOrEmpty((txtDescricao.Text)), " ", Replace(Trim(Me.txtDescricao.Text), "'", "\'")))
			objSetoresUsu.SITUACAO = "Ativo"
			objSetoresUsu.IDUSUARIOS = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((vUsuario.ID)), "0", vUsuario.ID)))

			repositorioSetoresUsu.Insert(objSetoresUsu)

			Return True
		Catch ex As Exception
			Return False
		End Try

	End Function

	Private Function lUpdate() As Boolean

		Dim objSetoresUsu As New entidadeSetoresUsu
		Dim repositorioSetoresUsu As New repositorioSetoresUsu


		Try

			objSetoresUsu.ID = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((txtId.Text)), "0", txtId.Text)))
			objSetoresUsu.IDSETORES_DET = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((txtIdSetoresDet.Text)), "0", txtIdSetoresDet.Text)))
			objSetoresUsu.IDUSUARIOS_SET = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((txtIdUsuarios.Text)), "0", txtIdUsuarios.Text)))
			objSetoresUsu.DESCRICAO = Trim(IIf(String.IsNullOrEmpty((txtDescricao.Text)), " ", Replace(Trim(Me.txtDescricao.Text), "'", "\'")))
			objSetoresUsu.SITUACAO = "Ativo"
			objSetoresUsu.IDUSUARIOS = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((vUsuario.ID)), "0", vUsuario.ID)))

			repositorioSetoresUsu.Update(objSetoresUsu)

			Return True
		Catch ex As Exception
			Return False
		End Try

	End Function

	Private Function lUpdate_1(ByRef objSetoresUsu As entidadeSetoresUsu) As Boolean
		Dim repositorioSetoresUsu As New repositorioSetoresUsu
		Try

			repositorioSetoresUsu.Update_1(objSetoresUsu)

			Return True
		Catch ex As Exception
			Return False
		End Try
	End Function

	Private Function lDelete(ByRef objSetoresUsu As entidadeSetoresUsu) As Boolean
		Dim repositorioSetoresUsu As New repositorioSetoresUsu
		Try

			repositorioSetoresUsu.Delete(objSetoresUsu)

			Return True
		Catch ex As Exception
			Return False
		End Try
	End Function



#End Region


End Class